#ifndef WINSYSTEM_SINGLETONS_H
#define WINSYSTEM_SINGLETONS_H

#include "system/keyboard.h"
#include "system/mouse.h"
#include "system/display.h"
#include "winsystem/timer.h"
#include "winsystem/system.h"
#include "winsystem/dialog.h"

extern WinSystem winSys;
extern KeyboardHandler winKbd;
extern MouseHandler winMouse;
extern Display winDisp;
extern WinHiResTimer winTimer;
extern WinDialog winDialog;

void sysBindSingletons();

#endif	//WINSYSTEM_SINGLETONS_H

