#ifndef WINSYSTEM_TIMER_H
#define WINSYSTEM_TIMER_H

#include "system/timer.h"

class WinHiResTimer : public PHiResTimer {
public:
	WinHiResTimer() : performanceCounterLowShift(0), performanceFreq(0), lastTime(0), currentTime(0) {}

	virtual void init();
	virtual double getTime();

protected:

	int performanceCounterLowShift;
	double performanceFreq;

	//last timestamp
	unsigned int lastTime;

	//accumulates delta times into the current time
	double currentTime;
};

#endif	//WINSYSTEM_TIMER_H
