#include "system/singletons.h"
#include "winsystem/singletons.h"

WinSystem winSys;
KeyboardHandler winKbd;
MouseHandler winMouse;
Display winDisp;
WinHiResTimer winTimer;
WinDialog winDialog;

void sysBindSingletons() {
	sys.setImp(&winSys);
	kbd.setImp(&winKbd);
	mouse.setImp(&winMouse);
	disp.setImp(&winDisp);
	timer.setImp(&winTimer);
	dialog.setImp(&winDialog);
}

